import 'core-js/modules/es.regexp.exec.js';

var shouldOpenInNewWindow = function shouldOpenInNewWindow(e) {
  return navigator.userAgent.indexOf('Mac') !== -1 ? e.metaKey : e.ctrlKey;
};
var isSafari = function isSafari() {
  // Check for SSR
  /* istanbul ignore else */
  if (typeof window !== 'undefined') {
    return /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
  }

  /* istanbul ignore next */
  return false;
};

export { isSafari, shouldOpenInNewWindow };
